Bug 473918 - incorrect resolution for Plymouth splash screen on T60p when external monitor attached
incorrect resolution for Plymouth splash screen on T60p when external monitor...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-12-01 08:30 EST by Peter F. Patel-Schneider
Modified: 2009-12-18 02:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:04:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages from boot (64.50 KB, text/plain)
2008-12-01 08:30 EST, Peter F. Patel-Schneider
no flags Details
/var/log/Xorg.0.log from boot (263.35 KB, text/plain)
2008-12-01 08:31 EST, Peter F. Patel-Schneider
no flags Details

  None (edit)
Description Peter F. Patel-Schneider 2008-12-01 08:30:52 EST
Created attachment 325229 [details]
/var/log/messages from boot

Description of problem: incorrect resolution for splash screen in Plymouth

Version-Release number of selected component (if applicable): current as of 1 Dec 2008

How reproducible: always, with given hardware setup

Steps to Reproduce:
1. Obtain a ThinkPad T60p with 1600x1200 ATI graphics running stock F10 (no fglrx drivers).
2. Plug it into a mini-dock with a DELL Trinitron CRT attached and boot
3. Observe the behaviour of the splash screen.
Actual results:  The splash screen comes up on both monitors at a smaller resolution than expected.  Simple measurements indicate that the resolution is 1280x1024, not 1600x1200.  During the boot process the CRT monitor's resolution is switched twice. The first switch occurs about 15 seconds into the boot, to the 1280x1024 resolution, so that the splash screen covers the entire CRT.  The second switch occurs about 35 seconds into the boot and is to 1600x1200, so that the splash screen only covers part of the CRT display.  Throughout, the LCD runs at 1600x1200 with the splash screen only partly covering the display.

Expected results:  Only one switch of resolution for the CRT, to 1600x1200, and the splash screen running at 1600x1200 throughout.

Additional info:  The behaviour appears to be consistent, even though the screen resolution is always set to 1600x1200 during normal operation.

If the external monitor is not connected the splash screen runs at 1600x1200 (or at least it covers the entire LCD).

During installation of F10 this buglet also occurred with no external monitor attached, but after a couple of boots, this behaviour has not recurred.

I enclose /var/log/messages and /var/log/Xorg.0.log from a boot that exhibited the incorrect behaviour.
Comment 1 Peter F. Patel-Schneider 2008-12-01 08:31:46 EST
Created attachment 325230 [details]
/var/log/Xorg.0.log from boot
Comment 2 Ray Strode [halfline] 2008-12-01 16:27:57 EST
kernel driver should be using the same logic as X for figuring out initial resolution.

(We need to make plymouth use libdrm and become multihead aware also mind you)
Comment 3 Bug Zapper 2009-11-18 04:07:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-12-18 02:04:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.